#!/bin/bash

#=======================================================================================
#                        Script pro ziskani meny z CNB
#=======================================================================================
#------------------------------ info ---------------------------------------------------
# V době, kdy jsem o html & css nic nevěděl jsem na základě diskuze s kamarádem
# o vytvoření jednoduché html stránky, která po kliknutí na tlačítko zobrazí aktuální
# kurz Eura dle ČNB, začal s tvorbou jednoduchého Bash scrpitu.
# Po mnoha úpravách tu je konečná podoba mého snažení. :D
#---------------------------------------------------------------------------------------

# smazání starého kurzovního lístku
rm /home/n4zz/kurz_euro/denni_kurz.txt?

# stažení aktuálního kurzovního lístku ze stránek ČNB
wget -qP /home/n4zz/kurz_euro/  https://www.cnb.cz/cs/financni-trhy/devizovy-trh/kurzy-devizoveho-trhu/kurzy-devizoveho-trhu/denni_kurz.txt?

clear

# 
echo -e "\e[34m----------------------------------------------\e[0m"
echo -e "\e[31m             * KURZ EURO DLE ČNB *\e[0m"
echo -e "Kurzy nejsou vydávány o víkendech a svátcích."
echo -e "\e[34m----------------------------------------------\e[0m"

# vytvoření příkazu datum - eliminace tisku příkazů na nové řádky
DATUM=$(echo "Dnes je: "; date)   # vytištění aktuálního datumu
echo $DATUM

# vytvoření příkazu kurz - eliminace tisku příkazů na nové řádky
# vytisknutí textu a prvního řádku ze staženého kurzovního lístku s datem vydání
KURZ=$(echo "Kurz ČNB: ";head -1 /home/n4zz/kurz_euro/denni_kurz.txt?)
echo $KURZ

echo -e "\e[34m----------------------------------------------\e[0m"

# smazání starého souboru kurz_eura.txt
rm /home/n4zz/kurz_euro/kurz_eura.txt

# řádek začínající slovem "EMU" ze staženého kurzovního lístku poslán do nového souboru
grep "EMU" /home/n4zz/kurz_euro/denni_kurz.txt? > /home/n4zz/kurz_euro/kurz_eura.txt


# nahrazení destinné čárky za tečku (v hodnotě 1EUR = xx,xxx), pro další zpracování 
sed -i 's/,/./g' /home/n4zz/kurz_euro/kurz_eura.txt

# tisk na řádek za sebou, 1 Euro =, následuje tisk hodnoty eura ze soboru kurz_eura.txt
# pomocí příkazu awk vytiskuta hodnota v 5 sloupci za znakem |, poté tisk slova CZK.
EUR=$(echo "     1 EUR = ";awk 'BEGIN {FS= "|"} {print $5}' /home/n4zz/kurz_euro/kurz_eura.txt; echo "CZK")
echo $EUR

echo -e "\e[34m----------------------------------------------\e[0m"

# Jednoduchý převodník měny
echo -e "\e[34m               * PŘEVOD MĚNY *\e[0m"
echo -e "\e[34m----------------------------------------------\e[0m"

# menu - výběr
echo -e "Stiskni [1] pro převod EUR na CZK"
echo -e "        [2] pro převod CZK na EUR"
echo -e "        [0] pro ukončení"
echo -n "Volba:"

# čtení dat zadaných uživatelem
read volba
echo

# dle výběru z nabídky se spustí příslušná část kódu
case "$volba" in
        1)
        # smyčka běží tak dlouho, dokud uživatel odpovídá na otázku "a - ano"  
        while true; do
            # pomocí příkazu awk hodnota v 5 sloupci za znakem "|" uložena do proměnné EUR_KC
            # hodnota 1 EUR v CZK
            EUR_KC=$(awk 'BEGIN {FS= "|"} {print $5}' /home/n4zz/kurz_euro/kurz_eura.txt)
            #-----------------------------------------------------------------------------

            # uživatel zadá kolik Euro si přeje převést na Kč
            echo -ne "\nZadejte částku v EUR:"
            read mena_eur

            # Proměnná PREVOD_EUR_KC obsahuje: hodnotu zadanou uživatelem, 
            # tisk slova EUR, výpočetní operaci (násobení) pro převod, tisk slova CZK
            PREVOD_EUR_KC=$(echo $mena_eur;echo "EUR = "; echo $EUR_KC \* $mena_eur | bc; echo "CZK")
            echo $PREVOD_EUR_KC
            
            # interakce s uživatelem, pokud odpoví "a" pokračuje se zadaváním částky pro převod
            echo -ne " \nNová částka a/n? "
            read odpoved
            if [ $odpoved == a ]
            then
                continue
            elif [ $odpoved == n ]
            then
                exit
            else
                echo "Neplatná volba"
                exit    
            fi
        done    
            ;;
        2)
        # smyčka běží tak dlouho, dokud uživatel odpovídá na otázku "a - ano" 
        while true; do
            # pomocí příkazu awk hodnota v 5 sloupci za znakem "|" uložena do proměnné EUR_KC
            # hodnota 1 EUR v CZK
            EUR_KC=$(awk 'BEGIN {FS= "|"} {print $5}' /home/n4zz/kurz_euro/kurz_eura.txt)
            #-----------------------------------------------------------------------------

            # uživatel zadá kolik Kč si přeje převést na Euro
            echo -n "Zadejte částku v CZK:"
            read mena_kc

            # Proměnná PREVOD_KC_EUR obsahuje: hodnotu zadanou uživatelem, 
            # tisk slova CZK, výpočetní operaci (dělení) pro převod, tisk slova EUR
            PREVOD_KC_EUR=$(echo $mena_kc;echo "CZK = "; echo $mena_kc / $EUR_KC | bc; echo "EUR")
            echo $PREVOD_KC_EUR

            # interakce s uživatelem, pokud odpoví "a" pokračuje se zadaváním částky pro převod
            echo -ne " \nNová částka a/n? "
            read odpoved
            if [ $odpoved == a ]
            then
                continue
            elif [ $odpoved == n ]
            then
                exit
            else
                echo "Neplatná volba"
                exit 
            fi       
        done
            ;;

        0)
        exit
        ;;

        *)
        echo "Nelatná volba . . ." $volba
        echo -ne " \nNová volba a/n? "
        read odpoved
        if [ $odpoved == a ]
        then
            clear; bash /home/n4zz/bin/kurz_euro.sh
        else
            exit
        fi
        ;;

 esac           
    


